summaryrefslogtreecommitdiffstats
path: root/system/slapt-update-service
diff options
context:
space:
mode:
author Vijay Marcel2023-05-26 00:56:02 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:49 +0200
commit2844794f4c09c0bbfc166ef2e616c137fea55225 (patch)
treeff251b077a0da32a99690d43e41414aa1ce7c5e2 /system/slapt-update-service
parent5329acbea210b55995c86e66d4460e2bd0568249 (diff)
downloadslackbuilds-2844794f4c09c0bbfc166ef2e616c137fea55225.tar.gz
system/slapt-update-service: Added (Slapt-get update Notifier)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/slapt-update-service')
-rw-r--r--system/slapt-update-service/README6
-rw-r--r--system/slapt-update-service/changelog6
-rw-r--r--system/slapt-update-service/slack-desc19
-rw-r--r--system/slapt-update-service/slapt-update-service.SlackBuild101
-rw-r--r--system/slapt-update-service/slapt-update-service.info10
5 files changed, 142 insertions, 0 deletions
diff --git a/system/slapt-update-service/README b/system/slapt-update-service/README
new file mode 100644
index 0000000000..8d788647de
--- /dev/null
+++ b/system/slapt-update-service/README
@@ -0,0 +1,6 @@
+slapt-update-service is a DBus service which
+notifies about package updates available via
+slapt-get and gslapt. slapt-update-service
+places an icon in the user's notification area
+when updates are available. Clicking the icon
+starts upgrading with gslapt.
diff --git a/system/slapt-update-service/changelog b/system/slapt-update-service/changelog
new file mode 100644
index 0000000000..60aa689129
--- /dev/null
+++ b/system/slapt-update-service/changelog
@@ -0,0 +1,6 @@
+Changelog for slapt-update-service SlackBuild Script
+--------------------------------------------------------------------
+
+24/05/2023:
+
+Submitted to slackbuilds.org
diff --git a/system/slapt-update-service/slack-desc b/system/slapt-update-service/slack-desc
new file mode 100644
index 0000000000..e621662322
--- /dev/null
+++ b/system/slapt-update-service/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slapt-update-service: slapt-update-service (Update Notifier for Slapt-get/gslapt)
+slapt-update-service:
+slapt-update-service: slapt-update-service is a DBus service which notifies about
+slapt-update-service: package updates available via slapt-get or gslapt. It also
+slapt-update-service: places an icon in the user's notification area when
+slapt-update-service: updates are available. Clicking the icon starts gslapt.
+slapt-update-service:
+slapt-update-service:
+slapt-update-service: Homepage:https://software.jaos.org
+slapt-update-service:
+slapt-update-service:
diff --git a/system/slapt-update-service/slapt-update-service.SlackBuild b/system/slapt-update-service/slapt-update-service.SlackBuild
new file mode 100644
index 0000000000..db56c909f7
--- /dev/null
+++ b/system/slapt-update-service/slapt-update-service.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for slapt-update-service
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=slapt-update-service
+VERSION=${VERSION:-0.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+aarch64*) ARCH=aarch64 ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i586 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=native -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" meson setup build --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --buildtype=debugoptimized
+ninja -C build
+DESTDIR=$PKG ninja -C build install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv -v $PKG/usr/share/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rvf $PKG/usr/share/doc
+rm -rvf $PKG/usr/doc/slapt-update-service-0.5.3/slapt-update-service/NEWS
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/slapt-update-service/slapt-update-service.info b/system/slapt-update-service/slapt-update-service.info
new file mode 100644
index 0000000000..938e164178
--- /dev/null
+++ b/system/slapt-update-service/slapt-update-service.info
@@ -0,0 +1,10 @@
+PRGNAM="slapt-update-service"
+VERSION="0.5.3"
+HOMEPAGE="https://software.jaos.org"
+DOWNLOAD="https://github.com/jaos/slapt-update-service/archive/0.5.3/slapt-update-service-0.5.3.tar.gz"
+MD5SUM="4c0badc7c8f5b915b77c3db44181f315"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gslapt"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"